
Katello - Bug #28216

React duplicate key error on Subscriptions page

11/07/2019 06:02 PM - Swetha Seelam Lakshmi Narayanan

Status: Rejected   

Priority: Normal   

Assignee: Swetha Seelam Lakshmi Narayanan   

Category: Web UI   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Duplicate key error when there are two or more expandable rows in the subscription page.

Warning: Encountered two children with the same key, `0-row`. Keys should be unique so that components maintain their identity

across updates. Non-unique keys may cause children to be duplicated and/or omitted — the behavior is unsupported and could

change in a future version.

in tbody (created by Body)

in Body (created by TableBody)

in TableBody (created by Table)

in table (created by Provider)

in Provider (created by TablePfProvider)

in TablePfProvider (created by Table)

in div (created by Table)

in Table (created by Table)

in Table (created by SubscriptionsTable)

in LoadingState (created by SubscriptionsTable)

in SubscriptionsTable (created by SubscriptionsPage)

in div (created by SubscriptionsPage)

in div (created by Col)

in Col (created by SubscriptionsPage)

in div (created by Row)

in Row (created by SubscriptionsPage)

in div (created by Grid)

in Grid (created by SubscriptionsPage)

in SubscriptionsPage (created by ConnectFunction)

in ConnectFunction (created by Headers)

in Headers (created by CheckOrg)

in CheckOrg (created by ConnectFunction)

in ConnectFunction (created by Route)

in Route

in div

in Unknown (created by Application)

in Router (created by BrowserRouter)

in BrowserRouter (created by Application)

in Application (created by ConnectFunction)

in ConnectFunction (created by I18nProviderWrapper(Connect(Application)))

in IntlProvider (created by I18nProviderWrapper(Connect(Application)))

in I18nProviderWrapper(Connect(Application)) (created by StoreProvider(I18nProviderWrapper(Connect(Application))))

in Provider (created by StoreProvider(I18nProviderWrapper(Connect(Application))))

in StoreProvider(I18nProviderWrapper(Connect(Application))) (created by

DataProvider(StoreProvider(I18nProviderWrapper(Connect(Application)))))

in DataProvider(StoreProvider(I18nProviderWrapper(Connect(Application))))

Related issues:

Is duplicate of Katello - Bug #28066: React duplicate key error on Subscripti... Closed

History
#1 - 11/08/2019 11:12 PM - Jonathon Turel

- Is duplicate of Bug #28066: React duplicate key error on Subscriptions page added

#2 - 11/08/2019 11:12 PM - Jonathon Turel

- Status changed from New to Rejected

- Target version set to Katello Recycle Bin
